<?php  
session_start();
include '../include/pagination.php';
include('../conexion.php');
include('../include/sesiones.php');

?>
<div class="row no-gutters shop_wrapper">
<?php

    if(!empty($_GET["mar_id"]))
    {  
        $brand_filter = implode("','", $_GET["mar_id"]);

        $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
        $per_page = 12;
        $adjacents  = 4;
        $offset = ($page - 1) * $per_page;
        $count_query= mysqli_query($con, "SELECT count(*) AS numrows FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and a.empresa='$emp_id' and ab.empresa='$emp_id'  and ab.art_cantidad>0 and a.art_tipo='articulo' and a.art_online='Activo' and a.art_estado='Activo' and a.marca_mar_id IN ('$brand_filter') ");        
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = './P_pos.php';  

         $query=mysqli_query($con,"SELECT *,a.art_id as art_id_art FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and a.empresa='$emp_id' and ab.empresa='$emp_id'  and ab.art_cantidad>0 and a.art_tipo='articulo' and a.art_online='Activo' and a.art_estado='Activo' and a.marca_mar_id IN ('$brand_filter') group by a.art_id LIMIT  $offset,$per_page") or die(mysqli_error($con));        
    }
    else 
    {
        $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
        $per_page = 12;
        $adjacents  = 4;
        $offset = ($page - 1) * $per_page;
        $count_query= mysqli_query($con, "SELECT count(*) AS numrows FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and ab.art_cantidad>0  and a.empresa='$emp_id' and ab.empresa='$emp_id' and a.art_tipo='articulo' and a.art_online='Activo' and a.art_estado='Activo' ");
        $row= mysqli_fetch_array($count_query);
        $numrows = $row['numrows'];
        $total_pages = ceil($numrows/$per_page);
        $reload = './P_pos.php';  

        $query=mysqli_query($con,"SELECT *,a.art_id as art_id_art FROM articulos a, articulos_has_bodegas ab where a.art_id=ab.articulos_art_id and ab.art_cantidad>0  and a.empresa='$emp_id' and ab.empresa='$emp_id' and a.art_estado='Activo' group by a.art_id  LIMIT  $offset,$per_page") or die(mysqli_error($con));  
    }
      while($load1=mysqli_fetch_array($query))
        {
            $nombre_archivo = '../../img/articulos/'.$load1['art_id_art'].'.jpg';  
            include('tabla_articulos2.php');
        }
        ?>
</div>
<div class="shop_toolbar t_bottom">
    <div class="pagination">
        <ul>
            <?php echo paginate($reload, $page, $total_pages, $adjacents); ?>
        </ul>
    </div>
</div>
<div id="resultados"></div>

<script type="text/javascript">

    
function envia_deseos(art_id) {
  var parametros = {"art_id":art_id};
     $.ajax({
    data:parametros,
    url:'./php_tienda/registrar_deseos.php',
    type: 'POST',
    beforeSend: function(){
        $('#resultados').html('');
    },
    success: function(datos){
    $("#resultados").html(datos);
cambiar1();
cambiar12();
buscador();}  });} 


function eliminar_deseo(art_id) {
  var parametros = {"art_id":art_id};
     $.ajax({
    data:parametros,
    url:'./php_tienda/eliminar_deseo.php',
    type: 'POST',
    beforeSend: function(){
        $('#resultados').html('');
    },
    success: function(datos){
    $("#resultados").html(datos);
cambiar2();
cambiar22();
buscador();}  });} 



function envia_carrito1(art_id,cantidad) {
  var parametros = {"art_id":art_id,"cantidad":cantidad};
     $.ajax({
    data:parametros,
    url:'./php_tienda/sessiones_cart.php',
    type: 'POST',
    beforeSend: function(){
        $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
    },
    success: function(datos){
    $("#resultados").html(datos);
buscador();}
    });
} 



</script>



   






